| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
Message.cpp File Reference
`#include <string>`
`#include <iostream>`
`#include <iomanip>`
`#include <cstdlib>`
`#include <cstdio>`
`#include <cctype>`
`#include <algorithm>`
`#include "GaudiKernel/IMessageSvc.h"`
`#include "GaudiKernel/Message.h"`
`#include "GaudiKernel/Timing.h"`
`#include "GaudiKernel/Time.h"`
`#include "GaudiKernel/ThreadLocalContext.h"`
Include dependency graph for Message.cpp:

Go to the source code of this file.

## Macros
#define | SET(x) case x: level=#x; break

## Functions
std::ostream & | operator<< (std::ostream &stream, const Message &msg)
| Insert the message into a stream. More...
bool | operator== (const Message &a, const Message &b)
| Insert the message into a stream. More...

## Macro Definition Documentation

#define SET | ( |  | x | ) | case x: level=#x; break

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const Message & | msg
| ) |  |

Insert the message into a stream.

Definition at line 137 of file Message.cpp.

138 {
139 msg.makeFormattedMsg( msg.m_format );
140 stream << msg.m_formatted_msg;
141 return stream;
142 }
Message::m_formatted_msg
std::string m_formatted_msg
Formatted message.
Definition: Message.h:107
Message::m_format
std::string m_format
The format string.
Definition: Message.h:98
Message::makeFormattedMsg
void makeFormattedMsg(const std::string &format) const
Format the message.
Definition: Message.cpp:251

bool operator== | ( | const Message & | a,
|  | const Message & | b
| ) |  |

Insert the message into a stream.

Definition at line 163 of file Message.cpp.

164 {
165 return a.m_source == b.m_source &&
166 a.m_type == b.m_type &&
167 a.m_message == b.m_message;
168 }
Message::m_message
std::string m_message
The message.
Definition: Message.h:92
Message::m_source
std::string m_source
The source.
Definition: Message.h:95
Message::m_type
int m_type
The type.
Definition: Message.h:104